GNU bug report logs - #69926
29.2; dbus.el doesn't invoke wildcard signal handlers

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Robert Church <chrchr@HIDDEN>; Done: Michael Albinus <michael.albinus@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 69926 <at> debbugs.gnu.org:


Received: (at 69926) by debbugs.gnu.org; 3 Apr 2024 17:30:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 03 13:30:14 2024
Received: from localhost ([127.0.0.1]:59445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rs4RC-0007Zt-Fl
	for submit <at> debbugs.gnu.org; Wed, 03 Apr 2024 13:30:14 -0400
Received: from mout.gmx.net ([212.227.17.22]:46481)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1rs4R8-0007Xp-A4
 for 69926 <at> debbugs.gnu.org; Wed, 03 Apr 2024 13:30:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmx.de;
 s=s31663417; t=1712165399; x=1712770199; i=michael.albinus@HIDDEN;
 bh=eB20F4PsHLwjcO8K7IGu39JZuG8VLDUwWq3fH97o6LQ=;
 h=X-UI-Sender-Class:From:To:Subject:In-Reply-To:References:Date;
 b=lE65v+aD+/RRXzbrB+YEyCD1jkdbW5wgnEkSa/BpfX4U7p9agOHTd9bOMxy05YO3
 S4vmZfbKJLsgzOEPaKJUvHdfYb0eIZjksL2Cj5Bt9rU0I6erIB7kzP7y7CLERO6QU
 tzD9U8vu/KJcPXOKeitDy2eBZulXhR1j8IfWNn8+Z0yvmU4lymO6tqeTzHRrCEMMU
 ACoqI2BpIHbz2il78z9qNF4oL+w+fFWY2Zkr7XuXLLF5QLZQOb4H3Z1SzFCaPDan9
 8ywZ4L/jAk21We9/7gWZHtWSiYtbvGWOsmsUlrDZVlxG6isYE17OI73MG+4SWapI+
 bi2tE8nmK2xUSPZI8Q==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.16]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MiJVG-1sUxwv2uBS-00fSBC for
 <69926 <at> debbugs.gnu.org>; Wed, 03 Apr 2024 19:29:59 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: 69926 <at> debbugs.gnu.org
Subject: Re: bug#69926: 29.2; dbus.el doesn't invoke wildcard signal handlers
In-Reply-To: <CAKUFMvedJUpUhuWceVfckVKoyYPS=CR=OFmEMN-L0N1iKwwovg@HIDDEN>
 (Robert Church's message of "Wed, 3 Apr 2024 09:57:02 -0700")
References: <CAKUFMvc=PwsvOgaZaBYMcSy9-hinkiTdJ=SSyT20kjHZ_7joqg@HIDDEN>
 <87v85en08a.fsf@HIDDEN> <87plval1o1.fsf@HIDDEN>
 <CAKUFMvf_v3ddr5iBSQykt3xwZr61-diycEwz9kFEWkuC34v3uA@HIDDEN>
 <87bk6qlv37.fsf@HIDDEN>
 <CAKUFMvedJUpUhuWceVfckVKoyYPS=CR=OFmEMN-L0N1iKwwovg@HIDDEN>
Date: Wed, 03 Apr 2024 19:29:59 +0200
Message-ID: <87plv62w2w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:C1i0a56pGKBJaDMWlAK10Lf0tfBibZw0Zszo8oH/OK1IOtcUthL
 wA78kdAxWszjcun+POQeQ6Rd8xiKVU2w8yUWqdaSp6bN9kf8W6eOziQ9iBCkUgkbtv9ia1h
 3jGMiCSEBBphoKTlGNz9nZt1F4pH8I6wKv/JhSF477DbDMaryOEcd3PTNEbfsT1144TUkgH
 p6V+indHzBtGg8OXaTkew==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:ydHNJ0SAVvI=;j43/frp3xyKVvIS75yk00U5j+ks
 bSYquZYdOZTqdVLFw5F0PmKZ2lYXLrnv29DYOM4KInBS+QjNVKqLs/QrJtlsGhfz/RdDplMZQ
 RwJW9ztG5WuDuBhaHgtZc3RQbWa5PsveJqWEqi9/le86qrb9s82hHk+EWoVDcVqH8w5qXQN2Y
 sXoGKJuLSelArKYDW3CLnZycVUl/kBcD+v5w+M698Jr3GygJa6OvOw6jmI+/FMTKp6nZhnpLc
 obyilIbny4UEbibSt1Y21Q26CVvlS74jFKHwNZ86gTUfeiWOjRzUw8W+NE3zUND03RikBE/59
 wLJ2cK1HKhM0WrA0U/REGqawPnd9Ap/qfDM3kCh34sqcKen7E8zSBwHOUgOBiUaqQlNEd9l+o
 InNSawZvxjqVKh2lqnTdJnMbAjtGkTY9prTiKFo+DhQlVSqURhv2hLS2U5OvlN8fbm5orEP6/
 XX1IQXwU5TteeRdY0rt9hZBYUgAeJWYGykl0RHVXdUS1iYRGmcOz5FygIcMzojZbD9LikIPIc
 ChdfgQSH4ZsIE8jISvA0XzC+c3c4ElBBUYrqh3G2PVuOGCghusCmDBTkjz5IarNLlwPhU5TWw
 MGa9kvZz1ck9suoat6B8Vv+ei/xXTzxZm2Hppm2QXnh3uScYNKtBiexFkccYfMjT7OReRJlTR
 Kpq+hdh+RihuKMQa6fiXwsnGESQ7L42lSoskWo0slOAbXwwcIc7W3vSGmd3DTMvlfXMUn3hO7
 8GJnyfM0JUfTiB66QgWsJKhEIBXVPna0rSTZHL9sHbcVteAt9aqMqy28i0HlfDV5H+GiTbzRm
 EMITU1JlbKWVM4/nuXG8WV3sFS03I45jJ8kMwJsXpxxiU=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 69926
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Robert Church <chrchr@HIDDEN> writes:

> Yes. I would be happy to do so.

Instructions sent off-list.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69926; Package emacs. Full text available.

Message received at 69926-done <at> debbugs.gnu.org:


Received: (at 69926-done) by debbugs.gnu.org; 3 Apr 2024 16:57:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 03 12:57:28 2024
Received: from localhost ([127.0.0.1]:59407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rs3vT-0004f6-Tq
	for submit <at> debbugs.gnu.org; Wed, 03 Apr 2024 12:57:28 -0400
Received: from mail-ed1-x534.google.com ([2a00:1450:4864:20::534]:43053)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chrchr@HIDDEN>) id 1rs3vQ-0004eF-8v
 for 69926-done <at> debbugs.gnu.org; Wed, 03 Apr 2024 12:57:26 -0400
Received: by mail-ed1-x534.google.com with SMTP id
 4fb4d7f45d1cf-56e05fc2421so1618380a12.0
 for <69926-done <at> debbugs.gnu.org>; Wed, 03 Apr 2024 09:57:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1712163434; x=1712768234; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=03mwQrdqFP3F7QK05yHAgs3qMQHvY0wZN9iu1O1d4EE=;
 b=A0R08bWJSs059ejQCBpG0F8V+vdcOYo/QedjJCc8yoUg58LiyvZu7dhLUVf7nrZIlY
 pj47tKq/e0WTUAerJFXHG/fymULiI/mZQGFSgHCzn1OIYfsdHMrAGkBcR8Ff64jeOwjr
 vYiqjW14FJQgvSdZJneUE1kTWR4PIyKSIUxxJcZUQbtBW1FRLcwTZ+6PROQRHx3O8w7T
 vnbGtd+oIZyohQACWgnrooKv9Bp4LzWwfBcyzkC3Ecg0Vuy+tPEA4EW6MUNspsj/y/Cr
 zxLhGnGdo1AUqUnUDsyalfnN3CoeJEdxsuo0ss7ktOqbGztENGiAR7jYunEXrZB53e2u
 jY0g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712163434; x=1712768234;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=03mwQrdqFP3F7QK05yHAgs3qMQHvY0wZN9iu1O1d4EE=;
 b=OldUi1XX3groAsU66eAQU2XEW8864d+xJFKQ5xCDxVPhAsjQmKFB6RtRPP4gnWZNQj
 JufJ2EPHchKtTeYsRpuikSIbcwhPaJBQ9ByktQSqCE+agmX31+/ztteVb16NvdbcW6dF
 S7Mrr+kxMdVNLDlNPpTnTZW8ysGM/+xoQe5upz5znh3BzfZ1OEgEdYlGEnSMS58X0/Mr
 CHgKxiNgAygNeYRn+Z+DpcPw0IBdGNFUonc7YVNXfQQz2z4T2+42Nmib70ZP5R5We/+Q
 tllSq+nz3dNdMiXoBqjwDzXc1vjFce4MKJtSSzuD7RfOm4V2JPRSmL9w6+kKGQiIKHgU
 D0/A==
X-Gm-Message-State: AOJu0YwJRs9inszWfz7SNukX8Vg/8P4bWMMggv5qERTk5boFG070YTvn
 iFhHkbF0tVUdXg6KDerc4PirJuUhrP3wuCcvhK+4zMmVagn864QfCiaGLVF8RmFil7dffvDuen7
 2VRXNBBj+7BImd/m7uIkmTVgMoBA=
X-Google-Smtp-Source: AGHT+IGTfqWJ0dwE2EYdOTrwoKYtm65NTK929d3aJVLhzqLHyUN94tXD4AF62W6w12EmJaTfQPxfAjHSssvZSaFySI0=
X-Received: by 2002:a17:906:d8b:b0:a4e:9fc3:de50 with SMTP id
 m11-20020a1709060d8b00b00a4e9fc3de50mr197505eji.21.1712163433496; Wed, 03 Apr
 2024 09:57:13 -0700 (PDT)
MIME-Version: 1.0
References: <CAKUFMvc=PwsvOgaZaBYMcSy9-hinkiTdJ=SSyT20kjHZ_7joqg@HIDDEN>
 <87v85en08a.fsf@HIDDEN> <87plval1o1.fsf@HIDDEN>
 <CAKUFMvf_v3ddr5iBSQykt3xwZr61-diycEwz9kFEWkuC34v3uA@HIDDEN>
 <87bk6qlv37.fsf@HIDDEN>
In-Reply-To: <87bk6qlv37.fsf@HIDDEN>
From: Robert Church <chrchr@HIDDEN>
Date: Wed, 3 Apr 2024 09:57:02 -0700
Message-ID: <CAKUFMvedJUpUhuWceVfckVKoyYPS=CR=OFmEMN-L0N1iKwwovg@HIDDEN>
Subject: Re: bug#69926: 29.2; dbus.el doesn't invoke wildcard signal handlers
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000404a100615341da4"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 69926-done
Cc: 69926-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000404a100615341da4
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Yes. I would be happy to do so.

On Wed, Apr 3, 2024 at 1:16=E2=80=AFAM Michael Albinus <michael.albinus@gmx=
.de>
wrote:

> Version: 30.1
>
> Robert Church <chrchr@HIDDEN> writes:
>
> > Hi Michael.
>
> Hi Robert,
>
> > I dropped your dbusfind.c patch into a 29.3 tree and I can
> > confirm that it makes the test pass. Thank you!
>
> Thanks for the feedback, I'm closing the bug.
>
> I'd like to add your test to dbus-tests.el. However, this requires that
> you agree to give the copyright for this (and possible future) change(s)
> in Emacs to the FSF. Would you like to sign such an agreement?
>
> Best regards, Michael.
>

--000000000000404a100615341da4
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Yes. I would be happy to do so.<br></div><br><div class=3D=
"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Wed, Apr 3, 2024 at =
1:16=E2=80=AFAM Michael Albinus &lt;<a href=3D"mailto:michael.albinus@HIDDEN=
e">michael.albinus@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmai=
l_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,20=
4,204);padding-left:1ex">Version: 30.1<br>
<br>
Robert Church &lt;<a href=3D"mailto:chrchr@HIDDEN" target=3D"_blank">chr=
chr@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Hi Michael.<br>
<br>
Hi Robert,<br>
<br>
&gt; I dropped your dbusfind.c patch into a 29.3 tree and I can<br>
&gt; confirm that it makes the test pass. Thank you!<br>
<br>
Thanks for the feedback, I&#39;m closing the bug.<br>
<br>
I&#39;d like to add your test to dbus-tests.el. However, this requires that=
<br>
you agree to give the copyright for this (and possible future) change(s)<br=
>
in Emacs to the FSF. Would you like to sign such an agreement?<br>
<br>
Best regards, Michael.<br>
</blockquote></div>

--000000000000404a100615341da4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69926; Package emacs. Full text available.

Message received at 69926-done <at> debbugs.gnu.org:


Received: (at 69926-done) by debbugs.gnu.org; 3 Apr 2024 08:16:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 03 04:16:43 2024
Received: from localhost ([127.0.0.1]:56967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrvnW-0005Xp-RL
	for submit <at> debbugs.gnu.org; Wed, 03 Apr 2024 04:16:43 -0400
Received: from mout.gmx.net ([212.227.17.20]:54367)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1rrvnU-0005Vj-7v
 for 69926-done <at> debbugs.gnu.org; Wed, 03 Apr 2024 04:16:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmx.de;
 s=s31663417; t=1712132189; x=1712736989; i=michael.albinus@HIDDEN;
 bh=ROkga+7ICXzyrS56kvTd86Al/xLa1VNt4U5P2LGb4AY=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:
 Date;
 b=IoJ5fRItGSElIy02Uyeow85yycHo4KurGEgcjItTcDWetfYUYd/3W48QNZNppvkm
 ANtXmeJROHI+XmbJ24D9kQ0fHgDfPc28l8b8d/ul0mCm+XKhyC5GLWP5jhv1Y5t6H
 02Bm8mZGj32pQMliBdGA1ylqCDpZ60iipq8hQvP2sKhVruHdIizQiZYHxIWKaKxWc
 x5SyHBumtNW7YwfBHIVuH5TANVYXBME/Eyq7Me3U4FbAVITietGbX+Y8lyCqzwwHu
 U0/L6AQkb3xiHZUmX6koOXYzBsOo25dUUy/Y4wq4HujooW7YnHcePsk/Wz0LNTxDS
 iqenMepR1auuX/DrpA==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.16]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mqs4f-1seD2y1THd-00muuA; Wed, 03
 Apr 2024 10:16:29 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Robert Church <chrchr@HIDDEN>
Subject: Re: bug#69926: 29.2; dbus.el doesn't invoke wildcard signal handlers
In-Reply-To: <CAKUFMvf_v3ddr5iBSQykt3xwZr61-diycEwz9kFEWkuC34v3uA@HIDDEN>
 (Robert Church's message of "Tue, 2 Apr 2024 16:06:05 -0700")
References: <CAKUFMvc=PwsvOgaZaBYMcSy9-hinkiTdJ=SSyT20kjHZ_7joqg@HIDDEN>
 <87v85en08a.fsf@HIDDEN> <87plval1o1.fsf@HIDDEN>
 <CAKUFMvf_v3ddr5iBSQykt3xwZr61-diycEwz9kFEWkuC34v3uA@HIDDEN>
Date: Wed, 03 Apr 2024 10:16:28 +0200
Message-ID: <87bk6qlv37.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:X+ca4fduf6W3dGQUAxK0NhZoTQiGCNotP1P3PY+G2rPHSLGGqcJ
 pA2fglSO697dJoFxBeyJsGVdzxuqu8pTv0siLxOQ4FyfNedrA1TnMAFnQGyf9+qeiYbLcPJ
 179t+11WZo8tJzrQ8jqFot7GbRIznrO/aER/pqwzOKag+AHd1yU7EIQqKLQmVC14fVCzbjJ
 OpZNnd6ToBzUWYPRuXSPw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:K6wt0c4dNsw=;vmgsEZXOYiOEtVcbIcFgsUBJnFn
 AADxYATYWECnNBbuPXy7OzvD6hB01xy75B4emaUrTK/wA4zdW3wwgLGbEaGYyv1aJFojsAlSj
 OsKXSiELW6Q+9zCSwEGyoSOaqCpCIYqNUrgXzOhnD5Q3Rk7I8UZPwD/emfvGXScQAP0KHQGKb
 oBH+tePQ9Ml24I6Y4a4bfiz9DRdktlUR6f3rANyOh5AUBKC+aUoxykgYid2GxxqXSbxup0bKd
 FiKthw8acracC660vzVBRiKoNrvdQ+gLzxAfIo0ocEkD4qhBQ7FuOVfUSW9OqnwvUW3QB6rR+
 ey4QNg6LuI0OL/fR+Fi6KkakIV1c4fzX19FwanGWN1huG6i6qPxr6HwJ3uIZ0AS6i2g8O0R5a
 cdQE4LRN831YNpKTip71QpPNRcBMatC8r7PJnyi3caQNo4AxCsXBqjkSie5KAy+gGvfeJOpah
 2Ny9wB9/JHujFt3TqwTFV2S2U0LbHDPMysG31DWbbrkjnbh5AhyYUKXwYP63Vk8ILwD21slW8
 X0FY5Fun4qoe9NEARiPGxI/jvy9aonhmvnx+JWo+IQmYrru73jfep0fOJfCwnXQzEScOizFia
 8ru5p4VM6QdRQBeyEk63axSMNlbBUJkpXSPDXmCc4PSNkSqX6G7FS/vylzpl9BEsOX/QACUbc
 5nYupnHQ7afD3VVx4pWHmTR4tLVjjKOEQvd3co0fSOW3TDmOwORXN6EnaAeeJKjcSQQ9My2WQ
 uccQ5lJkJFCaHJwrmtEx+wPlM2sbY/8T8rcoWDDu879eLfrSyxkcBlYZnsgL9ZRWrBJSQKUYz
 2g1hs0LNYQ0FZLpyy+dRikv6qvpjnVTPiE08wTvvLi59w=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 69926-done
Cc: 69926-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Version: 30.1

Robert Church <chrchr@HIDDEN> writes:

> Hi Michael.

Hi Robert,

> I dropped your dbusfind.c patch into a 29.3 tree and I can
> confirm that it makes the test pass. Thank you!

Thanks for the feedback, I'm closing the bug.

I'd like to add your test to dbus-tests.el. However, this requires that
you agree to give the copyright for this (and possible future) change(s)
in Emacs to the FSF. Would you like to sign such an agreement?

Best regards, Michael.




Notification sent to Robert Church <chrchr@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Michael Albinus <michael.albinus@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 69926 <at> debbugs.gnu.org:


Received: (at 69926) by debbugs.gnu.org; 2 Apr 2024 23:06:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 19:06:28 2024
Received: from localhost ([127.0.0.1]:56536 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrnD2-0006KY-4w
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2024 19:06:28 -0400
Received: from mail-ej1-x62a.google.com ([2a00:1450:4864:20::62a]:51563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chrchr@HIDDEN>) id 1rrnD0-0006KM-LN
 for 69926 <at> debbugs.gnu.org; Tue, 02 Apr 2024 19:06:27 -0400
Received: by mail-ej1-x62a.google.com with SMTP id
 a640c23a62f3a-a44ad785a44so653519966b.3
 for <69926 <at> debbugs.gnu.org>; Tue, 02 Apr 2024 16:06:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1712099177; x=1712703977; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=Fg4P795vZzWsGgXqF8jrHIqUDnMl5qyIqZn12m7WZ/c=;
 b=gXauDSAeCrwsmBOhEXglcnFQjqJmefSG1HB/riNukmG47JEi6MfgKOo2z/+AIJHyCP
 V3l/0VCEV1bKPkproczdFy/z3zV+2e2HIlnulLb7mp2piUxhRHahWTIFhg/Ht4L0UQrV
 +MS5v80T55WyxFXfwvcs8Gsdl0+gyVasn+Um1/vGMRDJrRLpIliG453sic9Vb6Df86S/
 RF4Ftn5kuORlgnvbFo3obndepjFIoZkJfVgUb8Kb3c6ENKMTxFuaYqNcFc80kvrvx0EE
 g5weKkFpCOKYp07ZLbTDfsM4YSRuFcWof71oOA2wj1BE7KKuLarmWPMgs8Pygl/9JraL
 GAGw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712099177; x=1712703977;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=Fg4P795vZzWsGgXqF8jrHIqUDnMl5qyIqZn12m7WZ/c=;
 b=qWlxq8gvJAS15HtE/fgIPanjZepFtebKmKOuujed0wTCCPALbQgMJVdFdW9A3I9MfJ
 fp8i8Dq5xZodbEQI9xfwFVMXKX0XIN2pzauBXvk9UqMlP6E6ykhl06+i6oWfXCPAXjBE
 VTGqsHOoNNJjDwKcio76lVHe7r+aYl/WpzFOiH0EDh96XjTO+iAqsvP7BjXOJ6l2u51T
 0qnR6+4fOWO2VnmtJCH/NgHxkzo64JPviUmx/StR4B45rUzH/e/wScj+MFyXYCgqYL9U
 uU2zBqpcD4UpdspknqyIP2Tf82L2tTuipubWBsXi3UPxsvcMiY6SpaUfDG8YcYMTNNex
 /01g==
X-Gm-Message-State: AOJu0Yw04268RBEYi+H9Ep3cC37ax5zmCaNSlzgK+SnI6wH2XmL/50wP
 JWCm7BxbtjVuGImG7qQ/05EGxVc9pxZAhWen4lQ7TyZLzeZcb+HaqX+HukmB921+tNojgV2fjvk
 PNeVBoGboWRYd7KIc2rc8iGn4k7E=
X-Google-Smtp-Source: AGHT+IFajyvgBN0g/3+8uqxJcseJmRN165GyM1qCmISaZcPEtL8Ecyv4CjI4jUGGGOA000lC27vY6BpHNUENebEcWWY=
X-Received: by 2002:a17:906:b48:b0:a4e:76c2:433a with SMTP id
 v8-20020a1709060b4800b00a4e76c2433amr3837137ejg.12.1712099176503; Tue, 02 Apr
 2024 16:06:16 -0700 (PDT)
MIME-Version: 1.0
References: <CAKUFMvc=PwsvOgaZaBYMcSy9-hinkiTdJ=SSyT20kjHZ_7joqg@HIDDEN>
 <87v85en08a.fsf@HIDDEN> <87plval1o1.fsf@HIDDEN>
In-Reply-To: <87plval1o1.fsf@HIDDEN>
From: Robert Church <chrchr@HIDDEN>
Date: Tue, 2 Apr 2024 16:06:05 -0700
Message-ID: <CAKUFMvf_v3ddr5iBSQykt3xwZr61-diycEwz9kFEWkuC34v3uA@HIDDEN>
Subject: Re: bug#69926: 29.2; dbus.el doesn't invoke wildcard signal handlers
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000003c647706152527df"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 69926
Cc: 69926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000003c647706152527df
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi Michael. I dropped your dbusfind.c patch into a 29.3 tree and I can
confirm that it makes the test pass. Thank you!

On Sun, Mar 31, 2024 at 11:02=E2=80=AFAM Michael Albinus <michael.albinus@g=
mx.de>
wrote:

> Michael Albinus <michael.albinus@HIDDEN> writes:
>
> Hi Robert,
>
> >> 1 unexpected results:
> >>    FAILED  dbus-test05b-register-signal-with-nils
> >
> > Thanks for the report. Unfortunately, it will take some days until I'll
> > be able to work on this.
>
> I could reproduce the bug locally. There is an implementation hole,
> indeed.
>
> I've fixed this on the master branch in dbusbind.c, your test file
> passes now successfully. Do you have a chance to check this?
>
> Thanks for the bug report and the test, and best regards, Michael.
>

--0000000000003c647706152527df
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi Michael. I dropped your dbusfind.c patch into a 29.3 tr=
ee and I can confirm that it makes the test pass. Thank you!<br></div><br><=
div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Sun, Mar=
 31, 2024 at 11:02=E2=80=AFAM Michael Albinus &lt;<a href=3D"mailto:michael=
.albinus@HIDDEN">michael.albinus@HIDDEN</a>&gt; wrote:<br></div><blockquote=
 class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px so=
lid rgb(204,204,204);padding-left:1ex">Michael Albinus &lt;<a href=3D"mailt=
o:michael.albinus@HIDDEN" target=3D"_blank">michael.albinus@HIDDEN</a>&gt; =
writes:<br>
<br>
Hi Robert,<br>
<br>
&gt;&gt; 1 unexpected results:<br>
&gt;&gt;=C2=A0 =C2=A0 FAILED=C2=A0 dbus-test05b-register-signal-with-nils<b=
r>
&gt;<br>
&gt; Thanks for the report. Unfortunately, it will take some days until I&#=
39;ll<br>
&gt; be able to work on this.<br>
<br>
I could reproduce the bug locally. There is an implementation hole,<br>
indeed.<br>
<br>
I&#39;ve fixed this on the master branch in dbusbind.c, your test file<br>
passes now successfully. Do you have a chance to check this?<br>
<br>
Thanks for the bug report and the test, and best regards, Michael.<br>
</blockquote></div>

--0000000000003c647706152527df--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69926; Package emacs. Full text available.

Message received at 69926 <at> debbugs.gnu.org:


Received: (at 69926) by debbugs.gnu.org; 31 Mar 2024 18:03:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 31 14:03:08 2024
Received: from localhost ([127.0.0.1]:48369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rqzWN-0008I5-MA
	for submit <at> debbugs.gnu.org; Sun, 31 Mar 2024 14:03:08 -0400
Received: from mout.gmx.net ([212.227.15.18]:35315)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1rqzWK-0008Gs-Ci
 for 69926 <at> debbugs.gnu.org; Sun, 31 Mar 2024 14:03:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmx.de;
 s=s31663417; t=1711908175; x=1712512975; i=michael.albinus@HIDDEN;
 bh=ix6Hbv+uBMBx3isodglDVZMcIKghzKqFltTfCyfdpMA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:
 Date;
 b=WjQaNUekwU2FRJwwmhZj3aSlj95uMI4d25XTyJMBtwZZu+GVLhFMTk1afzmoU/jS
 whJN6J2DbcWFUvMRN6Kif14NJ4UMDAdR4BaREei074gC8mseDdh02I5BvkUnLyBx/
 iR1NCSIOWgse8pWzjgZ24LfAAa9+tNPm86VqCH7/bT3yHAuFNQEDVP+QlLOGOgCY8
 2kwHEYNkewGGmCspj50ZAqbXQ5oTrUwBwvd1FyxzgWdyeYZ5JHAcftiFwNnkTuGU9
 pIsOyLk7QGBV2qLEk7VMoFeuAKml7juCvmvFOa+JGXTxdT8Ze3M6fJWOaaHvDHQqP
 wFuBRbooMZVdPORKlA==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.16]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M3UUy-1rrXkS41wI-000c7h; Sun, 31
 Mar 2024 20:02:55 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Robert Church <chrchr@HIDDEN>
Subject: Re: bug#69926: 29.2; dbus.el doesn't invoke wildcard signal handlers
In-Reply-To: <87v85en08a.fsf@HIDDEN> (Michael Albinus's message of "Fri, 22
 Mar 2024 09:23:49 +0100")
References: <CAKUFMvc=PwsvOgaZaBYMcSy9-hinkiTdJ=SSyT20kjHZ_7joqg@HIDDEN>
 <87v85en08a.fsf@HIDDEN>
Date: Sun, 31 Mar 2024 20:02:54 +0200
Message-ID: <87plval1o1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Vt82t13wwR74Ta0EOMjBMeH29NPCV7f/ktPN8pMcnKdT9wWGmMz
 O+tVuMHzN7L4m1qO3JSifQZOc3vJAGLqy6j0UkNjIwmrOrn8HbhYNpsxzGgJZhNlBhlbf6I
 Cqpbn99k2D0hjh/byhuiMBDIgas3r3BdyUtmXQz80Mnbq583WMm3nXikOR5nWCYktHmdPBS
 PKKSV1tEF7adHJHZyaDLw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:tcHywjTpCec=;vE0AZMDjwj/78zJ8g/DuMBMQ8aa
 V45tLZi9OHqepc9R5onHnUQ5Cqje6w5cjXn8/ssAyPArOFtfEwejVKG83bHOB6tbHZhOoKPaT
 7Q9t7Fs3aiy3ndFpAJMCeFbKbSnUlG89P+96qMfHgFeBSwWFafHeXtcIRACEW3X7E7zFmjMvp
 X42knL5PSLgSE2xBvVjUUyF3D11yHTB/V/IRHsKpASYt6J5iO/8aDTJsGUjcHsCGU90knwAk1
 kpYBSVlIUJkfUZ5Kbd4nsSYR1Bq199P+h+dQ+cKVDU9SWmy+2EmKDxhCEjrZXiRY8E0DLAb8w
 ClfndtRgiJ4/TFGVr3PbEVq8eItNNIZEXsPGgMd2Ng2b5BpRrdkxYcmAdW0h9OdraHdAPPXNE
 35jQ6sWe8DGND4I2lZeas6KGr379VD2P8Ix8H7x08Oor/Dlya5kpQhZTkKBB9f+AO7ZGY4+4V
 d4eyOU2yElfpSOJkq/nbno0TEqff/rqvbLikewWn1Ghd3okk8F1J744Mz5SELxqDh2SIYfyRC
 13WYaMmS8nkt0jcAGINx2c16qBcZrSQuhFyukjAy7RsCJJRu1yg9YpfGB+Fs+LijoeqQ2ERKT
 IKEw0x24SKs6QEvahGZtrx7IGKDrsnjsG2izw/ccCz5p5vipDocqa/jaHsS2p38nD35YdUteN
 6UGBLft1Mj7clO7hYvAsqKmLazTbAhoYet58w8qcl6t/gb/WCBx6pk/bWeWYtihsvSIdFPEjD
 ji2a5739uQ5HyUyhuA5ILbau8PWTeOB8zV15bsQRgQrcZElVOfiG/ndZPFjNxXYxrdA9RM1n2
 YkPHivpMmKTtWW3E1mZGiB9oVctwSsNU18xUhI05UU7NM=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 69926
Cc: 69926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

Hi Robert,

>> 1 unexpected results:
>>    FAILED  dbus-test05b-register-signal-with-nils
>
> Thanks for the report. Unfortunately, it will take some days until I'll
> be able to work on this.

I could reproduce the bug locally. There is an implementation hole,
indeed.

I've fixed this on the master branch in dbusbind.c, your test file
passes now successfully. Do you have a chance to check this?

Thanks for the bug report and the test, and best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69926; Package emacs. Full text available.

Message received at 69926 <at> debbugs.gnu.org:


Received: (at 69926) by debbugs.gnu.org; 22 Mar 2024 08:24:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 22 04:24:40 2024
Received: from localhost ([127.0.0.1]:59692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rnaCd-0001ut-Q7
	for submit <at> debbugs.gnu.org; Fri, 22 Mar 2024 04:24:40 -0400
Received: from mout.gmx.net ([212.227.15.15]:53053)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1rnaCb-0001uS-Ay
 for 69926 <at> debbugs.gnu.org; Fri, 22 Mar 2024 04:24:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmx.de;
 s=s31663417; t=1711095830; x=1711700630; i=michael.albinus@HIDDEN;
 bh=wRZJkDPsym8PruIvSFxCfFhmRyV0leowKys/wdgVYV8=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:
 Date;
 b=hoJ0R1JYnDuS9ZzQITveS8/2dPuxG9l+JYnUOkCb0UhfJsTHvbwTkkC6VA89HZxi
 KpG5jil0mDxj8QGj9wRPVAN9dCzd6DXTP2RXpXXAssCxw7jvRofIzas6+qWP8mdxK
 LfW95dc8uz0q9s0LCXwkH55d2uxpLMjneG5n1vx9/WYWawYWqqJlCWamLEhtXogST
 57q3R81s+H2cssO+3eGOrH6hqc3GQhvCUcchVa4Dr7UImwVcJIPLCYjAdONiTCIdC
 uE9lpHUlXCthfbDCPbfIGcr0hP6RMwIXpROWslenaIoXbEJBl1Ka27vEe5iSjOouA
 mHnEBuvGJNK8Fyiypw==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.16]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MryT9-1r00Qd1V5B-00nuZL; Fri, 22
 Mar 2024 09:23:50 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Robert Church <chrchr@HIDDEN>
Subject: Re: bug#69926: 29.2; dbus.el doesn't invoke wildcard signal handlers
In-Reply-To: <CAKUFMvc=PwsvOgaZaBYMcSy9-hinkiTdJ=SSyT20kjHZ_7joqg@HIDDEN>
 (Robert Church's message of "Wed, 20 Mar 2024 18:22:33 -0700")
References: <CAKUFMvc=PwsvOgaZaBYMcSy9-hinkiTdJ=SSyT20kjHZ_7joqg@HIDDEN>
Date: Fri, 22 Mar 2024 09:23:49 +0100
Message-ID: <87v85en08a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:lH0TG7+4SYYqZ2HWJrP7wVbfFIY17kr3DtuCH6F87Vl+X/lfwQI
 19Hjps/RMWQCdg0sAjWgSCyU2e3B5DBJHjBSVh55uBYL8cC+dboaRSjGm74p5W4xPNljndL
 2doJ7t501KvJFCtQS0b2HbfriBoqPX7QG9IhiiTeWIKRP0z+7VGiDWAAOG8QW8gOBWPLnJx
 xmKK1jXhsPcC58yUZ8TDg==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:7ypmX0qDRH0=;eVDatCd81cTLD5m9b+bjuJcWsX7
 V8nNY+uhRKRbV/0RKYESBTcSkqzuNxAMomIY7fHPNXl4sZgqxcK5ZD/XPYbyhC8lCM4Q5mPh0
 038yHMYtN2BpvDq8Z87idP1LOwOya0aWrTTaRoQXC02EFSM9tifi0SmVW408YAaCdHGRcYBvU
 iQAIlLekMjnp5Wr8RfdFyL34yQzgVtO/x/Pk/htwYddt5jpa1sY9ruF8it6L6hNQVeQWP8nuF
 a3RlE+VWcvh9aMVQMyku3xN9J+0bdIH3o6HoZ4VEk0p0n9NnDVSk2RbjgGCdpRusSnsTaTwWQ
 LoVQoFIqSle6bMGsYu+jM6xvqfWFBOQbcxFExYUr2iPESz5aaXTXrR9emNU3rTCgONjeQD257
 q+75OXIiH7yEspies1nLkKBmbowsRJGWciUIXvdfO+JeXPVpJcUWJ+qm+kl6F3xjO/OegP41S
 u2v/Sl0hSCSyQnQT8+28dpBQjp1ue55zt12P1LN/T0GlRu+NyYs6dUBVU8CE45HyFbW924fUA
 UqQ518/FjN3e16spXKJrVSVeWY0cMysn5oO2keNJ66HWHAcv06St3D03Rbgm/bxb14nz0aaMF
 V+q0z3vt4/UXqfMHSh8Yiu23ovlSf3pBlf9RUgshSykKBNBWxnCVbCBiKRtG/zXH5SNPTTWA8
 zMmEVQ5sAPirp3nYqSUYNtSrfMlums+AlUKKOiw1UAH4hw3dQfKTswHdwrlSlK+Wvkihl3cYr
 q/WrsPRvA1rqOGskkV8zR5VuQNMmCZhimIN3sGheAyUkK+x1EYgF7J79IhTGKWCEaY9saWLRt
 JdUqi1IxogMsmlZILqDbKYIbaldWJ9Jj2JYaqsuF21p4k=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Robert Church writes: Hi Robert, > 1 unexpected results: >
 FAILED dbus-test05b-register-signal-with-nils 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.39.16 listed in zen.spamhaus.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [212.227.15.15 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.15 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 69926
Cc: 69926 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Robert Church writes: Hi Robert, > 1 unexpected results: >
    FAILED dbus-test05b-register-signal-with-nils 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [212.227.15.15 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.39.16 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.15 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Robert Church <chrchr@HIDDEN> writes:

Hi Robert,

> 1 unexpected results:
>    FAILED  dbus-test05b-register-signal-with-nils

Thanks for the report. Unfortunately, it will take some days until I'll
be able to work on this.

Perhaps somebody else could check earliee?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69926; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Mar 2024 04:40:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 21 00:40:32 2024
Received: from localhost ([127.0.0.1]:56882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rnAEB-0002sy-1F
	for submit <at> debbugs.gnu.org; Thu, 21 Mar 2024 00:40:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:47988)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chrchr@HIDDEN>) id 1rn7Iz-0001h4-AA
 for submit <at> debbugs.gnu.org; Wed, 20 Mar 2024 21:33:18 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <chrchr@HIDDEN>) id 1rn78r-0000Ei-Oe
 for bug-gnu-emacs@HIDDEN; Wed, 20 Mar 2024 21:22:49 -0400
Received: from mail-ej1-x62f.google.com ([2a00:1450:4864:20::62f])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <chrchr@HIDDEN>) id 1rn78p-0000WQ-LO
 for bug-gnu-emacs@HIDDEN; Wed, 20 Mar 2024 21:22:49 -0400
Received: by mail-ej1-x62f.google.com with SMTP id
 a640c23a62f3a-a467d8efe78so45445966b.3
 for <bug-gnu-emacs@HIDDEN>; Wed, 20 Mar 2024 18:22:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1710984165; x=1711588965; darn=gnu.org;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=7qHiI8Grzqmko+Dw1w+8IXBpRHFIOSzt6DKOyZ49bh4=;
 b=DwqkQeG0w9Ji8wt/OZAI6g0YNAWKfJEmf62aOpEjt5xbxoCavV9J2ziGIBfkFUF8og
 JyIc+GnCEOM8U36D5eoYhHuj55xaTmDgJ7SRtOZ0dO57tCMsdhZdQw8ljiB74kBTkOjz
 t43++Sxtw9gieHpUk5lffL/8097WYugjsYDN09lyu3ezugvlr/wmyLXRLz6Ytleg0+py
 RgDK4wmy0ejkyv7qHBsMK/ReDlpTEshGsUVckMQsNUhnfj86R+GPl7ha/QuFX2Nin/Y5
 1r61Q7vOhZ1tyK8VOoDtBFEWUo9lGNo0mulxW3tShXpH0fOxFECivjbPQtT7p1yQVXhn
 BuXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1710984165; x=1711588965;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=7qHiI8Grzqmko+Dw1w+8IXBpRHFIOSzt6DKOyZ49bh4=;
 b=dvyggmpxWJkQ5Eh9ecnoKcPSRaN16gH7rz6Dr+mwwNOaIltC2ufoPMXRwXeCv6h6vw
 2GK5VPPYni46cMqW1baIOjvZ7naprhDUxvPR/dUlLqqlNotQVOJCoBi4FngfJXcB2YNb
 IMoJB/XSrmrSeD4K+c5FtOqGpr4zRJkYgrg2y6bu/PfODH2KWrj8VNn9X4Vzn9W+dWtn
 DQx1Ib42nL5SUw56b3VV1yJIWZsPLtP1fLLV/c8WWMFOGqBcAfb8JDPFWgum+sWEX9xj
 E4V09abphjMRSjrLSW4xIv1jHeel1TTFP7Fr5GL1sDoZJ6gaXklNglTACWcgrHVQTUBy
 nvng==
X-Gm-Message-State: AOJu0YwNL/estVhtNslfgoTaRbTOkw9/loLlKXKywJeFRNdb3t39JPR2
 pCzXuVz4IrPOR15cthbIVUMMToV0H+CCvm3jXsPTLsF6RGDjPUMNz3Z6Qybw3Z/Fl5Q3LHiDUCv
 TnXnirJI4H6BA+Z/+2QE2Vn5d7cLQpZYVx/6G/g==
X-Google-Smtp-Source: AGHT+IFwvKsqpg5aDnhDzwDEufpefqSn0h95K5qNd6o3dyYd0kPo0179B4j63nsYN1t5/aajuTARSeJDDsZjJNTLcjU=
X-Received: by 2002:a17:906:19c6:b0:a46:8c9f:f783 with SMTP id
 h6-20020a17090619c600b00a468c9ff783mr5395561ejd.67.1710984164969; Wed, 20 Mar
 2024 18:22:44 -0700 (PDT)
MIME-Version: 1.0
From: Robert Church <chrchr@HIDDEN>
Date: Wed, 20 Mar 2024 18:22:33 -0700
Message-ID: <CAKUFMvc=PwsvOgaZaBYMcSy9-hinkiTdJ=SSyT20kjHZ_7joqg@HIDDEN>
Subject: 29.2; dbus.el doesn't invoke wildcard signal handlers
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary="0000000000005eaa770614218b0f"
Received-SPF: pass client-ip=2a00:1450:4864:20::62f;
 envelope-from=chrchr@HIDDEN; helo=mail-ej1-x62f.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 21 Mar 2024 00:17:10 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000005eaa770614218b0f
Content-Type: multipart/alternative; boundary="0000000000005eaa740614218b0d"

--0000000000005eaa740614218b0d
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Per the documentation in for dbus-register-signal in dbus.el:

SERVICE, PATH, INTERFACE and SIGNAL can be nil.  This is
interpreted as a wildcard for the respective argument.

I wrote a little test, cribbed from dbus-test05-register-signal in
dbus-test.el. Where dbus-test-wildcards.el is the attached file:

$ emacs -Q -batch -l ert -l ~/dbus-test-wildcards.el -f
ert-run-tests-batch-and-exit
Running 1 tests (2024-03-20 18:11:55-0700, selector =E2=80=98t=E2=80=99)
Test dbus-test05b-register-signal-with-nils backtrace:
  ert-fail("`dbus-test05b-register-signal-with-nils' timed out")
  dbus--test-timeout-handler()
  (progn (dbus--test-timeout-handler))
  (if (eq -with-timeout-value- 'timeout) (progn (dbus--test-timeout-ha
  (let ((-with-timeout-value- (catch 'timeout (let* ((-with-timeout-ti
  (let ((member "Member") (handler #'dbus--test-signal-handler) regist
  (unwind-protect (let ((member "Member") (handler #'dbus--test-signal
  (lambda nil (let ((value-0 (gensym "ert-form-evaluation-aborted-")))
  ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
  ert-run-test(#s(ert-test :name dbus-test05b-register-signal-with-nil
  ert-run-or-rerun-test(#s(ert--stats :selector t :tests [#s(ert-test
  ert-run-tests(t #f(compiled-function (event-type &rest event-args) #
  ert-run-tests-batch(nil)
  ert-run-tests-batch-and-exit()
  command-line-1(("-l" "ert" "-l" "/home/rc/dbus-test-wildcards.el" "-
  command-line()
  normal-top-level()
Test dbus-test05b-register-signal-with-nils condition:
    (ert-test-failed "`dbus-test05b-register-signal-with-nils' timed out")
   FAILED  1/1  dbus-test05b-register-signal-with-nils (1.004025 sec) at
../../../home/rc/dbus-test-wildcards.el:32

Ran 1 tests, 0 results as expected, 1 unexpected (2024-03-20 18:11:56-0700,
1.064641 sec)

1 unexpected results:
   FAILED  dbus-test05b-register-signal-with-nils


Build info:

In GNU Emacs 29.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41,
 cairo version 1.18.0) of 2024-02-26, modified by Debian built on
 x86-ubc-02
Windowing system distributor 'The X.Org Foundation', version 11.0.12101011
System Description: Debian GNU/Linux trixie/sid

Configured using:
 'configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/libexec
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --with-libsystemd --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/29.2/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/29.2/site-lisp:/usr/share=
/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils
 --with-native-compilation --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/libexec
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --with-libsystemd --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/29.2/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/29.2/site-lisp:/usr/share=
/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils
 --with-native-compilation --with-cairo --with-x=3Dyes
 --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars 'CFLAGS=3D-g -O2
 -ffile-prefix-map=3D/build/reproducible-path/emacs-29.2+1=3D.
-fstack-protector-strong
 -fstack-clash-protection -Wformat -Werror=3Dformat-security
 -fcf-protection -Wall' 'CPPFLAGS=3D-Wdate-time -D_FORTIFY_SOURCE=3D2'
 LDFLAGS=3D-Wl,-z,relro'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3
THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XDBE XIM XINPUT2
XPM GTK3 ZLIB

--0000000000005eaa740614218b0d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><br>Per the documentation in for dbus-register-signal=
 in dbus.el:<br><br>SERVICE, PATH, INTERFACE and SIGNAL can be nil.=C2=A0 T=
his is<br>interpreted as a wildcard for the respective argument.<br><br><di=
v>I wrote a little test, cribbed from dbus-test05-register-signal in dbus-t=
est.el. Where dbus-test-wildcards.el is the attached file:</div><div><br></=
div><div>$ emacs -Q -batch -l ert -l ~/dbus-test-wildcards.el -f ert-run-te=
sts-batch-and-exit<br>Running 1 tests (2024-03-20 18:11:55-0700, selector =
=E2=80=98t=E2=80=99)<br>Test dbus-test05b-register-signal-with-nils backtra=
ce:<br>=C2=A0 ert-fail(&quot;`dbus-test05b-register-signal-with-nils&#39; t=
imed out&quot;)<br>=C2=A0 dbus--test-timeout-handler()<br>=C2=A0 (progn (db=
us--test-timeout-handler))<br>=C2=A0 (if (eq -with-timeout-value- &#39;time=
out) (progn (dbus--test-timeout-ha<br>=C2=A0 (let ((-with-timeout-value- (c=
atch &#39;timeout (let* ((-with-timeout-ti<br>=C2=A0 (let ((member &quot;Me=
mber&quot;) (handler #&#39;dbus--test-signal-handler) regist<br>=C2=A0 (unw=
ind-protect (let ((member &quot;Member&quot;) (handler #&#39;dbus--test-sig=
nal<br>=C2=A0 (lambda nil (let ((value-0 (gensym &quot;ert-form-evaluation-=
aborted-&quot;)))<br>=C2=A0 ert--run-test-internal(#s(ert--test-execution-i=
nfo :test #s(ert-test<br>=C2=A0 ert-run-test(#s(ert-test :name dbus-test05b=
-register-signal-with-nil<br>=C2=A0 ert-run-or-rerun-test(#s(ert--stats :se=
lector t :tests [#s(ert-test <br>=C2=A0 ert-run-tests(t #f(compiled-functio=
n (event-type &amp;rest event-args) #<br>=C2=A0 ert-run-tests-batch(nil)<br=
>=C2=A0 ert-run-tests-batch-and-exit()<br>=C2=A0 command-line-1((&quot;-l&q=
uot; &quot;ert&quot; &quot;-l&quot; &quot;/home/rc/dbus-test-wildcards.el&q=
uot; &quot;-<br>=C2=A0 command-line()<br>=C2=A0 normal-top-level()<br>Test =
dbus-test05b-register-signal-with-nils condition:<br>=C2=A0 =C2=A0 (ert-tes=
t-failed &quot;`dbus-test05b-register-signal-with-nils&#39; timed out&quot;=
)<br>=C2=A0 =C2=A0FAILED =C2=A01/1 =C2=A0dbus-test05b-register-signal-with-=
nils (1.004025 sec) at ../../../home/rc/dbus-test-wildcards.el:32<br><br>Ra=
n 1 tests, 0 results as expected, 1 unexpected (2024-03-20 18:11:56-0700, 1=
.064641 sec)<br><br>1 unexpected results:<br>=C2=A0 =C2=A0FAILED =C2=A0dbus=
-test05b-register-signal-with-nils</div><br><br></div><div>Build info:</div=
><div><br></div><div>In GNU Emacs 29.2 (build 1, x86_64-pc-linux-gnu, GTK+ =
Version 3.24.41,<br>=C2=A0cairo version 1.18.0) of 2024-02-26, modified by =
Debian built on<br>=C2=A0x86-ubc-02<br>Windowing system distributor &#39;Th=
e X.Org Foundation&#39;, version 11.0.12101011<br>System Description: Debia=
n GNU/Linux trixie/sid<br><br>Configured using:<br>=C2=A0&#39;configure --b=
uild x86_64-linux-gnu --prefix=3D/usr<br>=C2=A0--sharedstatedir=3D/var/lib =
--libexecdir=3D/usr/libexec<br>=C2=A0--localstatedir=3D/var/lib --infodir=
=3D/usr/share/info<br>=C2=A0--mandir=3D/usr/share/man --with-libsystemd --w=
ith-pop=3Dyes<br>=C2=A0--enable-locallisppath=3D/etc/emacs:/usr/local/share=
/emacs/29.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/29.=
2/site-lisp:/usr/share/emacs/site-lisp<br>=C2=A0--with-sound=3Dalsa --witho=
ut-gconf --with-mailutils<br>=C2=A0--with-native-compilation --build x86_64=
-linux-gnu --prefix=3D/usr<br>=C2=A0--sharedstatedir=3D/var/lib --libexecdi=
r=3D/usr/libexec<br>=C2=A0--localstatedir=3D/var/lib --infodir=3D/usr/share=
/info<br>=C2=A0--mandir=3D/usr/share/man --with-libsystemd --with-pop=3Dyes=
<br>=C2=A0--enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/29.2/s=
ite-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/29.2/site-lisp:/=
usr/share/emacs/site-lisp<br>=C2=A0--with-sound=3Dalsa --without-gconf --wi=
th-mailutils<br>=C2=A0--with-native-compilation --with-cairo --with-x=3Dyes=
<br>=C2=A0--with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars &#39;CFLAGS=3D=
-g -O2<br>=C2=A0-ffile-prefix-map=3D/build/reproducible-path/emacs-29.2+1=
=3D. -fstack-protector-strong<br>=C2=A0-fstack-clash-protection -Wformat -W=
error=3Dformat-security<br>=C2=A0-fcf-protection -Wall&#39; &#39;CPPFLAGS=
=3D-Wdate-time -D_FORTIFY_SOURCE=3D2&#39;<br>=C2=A0LDFLAGS=3D-Wl,-z,relro&#=
39;<br><br>Configured features:<br>ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNU=
TLS GPM GSETTINGS HARFBUZZ JPEG<br>JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD =
LIBXML2 M17N_FLT MODULES<br>NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SEC=
COMP SOUND SQLITE3<br>THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11=
 XDBE XIM XINPUT2<br>XPM GTK3 ZLIB<br></div></div>

--0000000000005eaa740614218b0d--

--0000000000005eaa770614218b0f
Content-Type: text/x-emacs-lisp; charset="UTF-8"; name="dbus-test-wildcards.el"
Content-Disposition: attachment; filename="dbus-test-wildcards.el"
Content-Transfer-Encoding: base64
Content-ID: <f_lu0jriur0>
X-Attachment-Id: f_lu0jriur0
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--0000000000005eaa770614218b0f--




Acknowledgement sent to Robert Church <chrchr@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#69926; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 3 Apr 2024 17:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.